Bug 1938497 - Review Request: progman - Simple X11 window manager modeled after Program Manager
Summary: Review Request: progman - Simple X11 window manager modeled after Program Man...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-13 23:10 UTC by Davide Cavalca
Modified: 2021-03-19 20:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-18 02:48:50 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-03-13 23:10:58 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/progman/progman.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/progman/progman-1.0-1.fc35.src.rpm

Description:
progman is a simple X11 window manager modeled after Program Manager from the
Windows 3 era. It is descended from aewm by Decklin Foster and retains its MIT
license.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-03-13 23:11:00 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=63720742

Comment 2 Neal Gompa 2021-03-14 00:48:27 UTC
This amuses me. :)

I'm taking this review.

Comment 3 Neal Gompa 2021-03-14 01:06:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 16 files have unknown
     license. Detailed output of licensecheck in
     /home/ngompa/1938497-progman/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: progman-1.0-1.fc35.x86_64.rpm
          progman-debuginfo-1.0-1.fc35.x86_64.rpm
          progman-debugsource-1.0-1.fc35.x86_64.rpm
          progman-1.0-1.fc35.src.rpm
progman.x86_64: W: spelling-error %description -l en_US aewm -> anew
progman.x86_64: W: no-manual-page-for-binary progman
progman.src: W: spelling-error %description -l en_US aewm -> anew
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: progman-debuginfo-1.0-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
progman.x86_64: W: spelling-error %description -l en_US aewm -> anew
progman.x86_64: W: no-manual-page-for-binary progman
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/jcs/progman/archive/v1.0/progman-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 28bbc33ee64fdcaa086b1b134220b69c9d5a4aec887e043612bbca51dbe17e34
  CHECKSUM(SHA256) upstream package : 28bbc33ee64fdcaa086b1b134220b69c9d5a4aec887e043612bbca51dbe17e34


Requires
--------
progman (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXft.so.2()(64bit)
    libXpm.so.4()(64bit)
    libc.so.6()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdk_pixbuf_xlib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    rtld(GNU_HASH)

progman-debuginfo (rpmlib, GLIBC filtered):

progman-debugsource (rpmlib, GLIBC filtered):



Provides
--------
progman:
    progman
    progman(x86-64)

progman-debuginfo:
    debuginfo(build-id)
    progman-debuginfo
    progman-debuginfo(x86-64)

progman-debugsource:
    progman-debugsource
    progman-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1938497 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Java, Python, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Neal Gompa 2021-03-14 01:09:10 UTC
Looks good to me! I'm looking forward to playing with this more. :)

PACKAGE APPROVED.

Comment 5 Davide Cavalca 2021-03-14 01:37:12 UTC
Thanks! It's a pretty fun window manager.

$ fedpkg request-repo progman 1938497
https://pagure.io/releng/fedora-scm-requests/issue/32790

Comment 6 Tomas Hrcka 2021-03-15 08:42:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/progman

Comment 7 Fedora Update System 2021-03-15 21:49:42 UTC
FEDORA-2021-470b9f4969 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-470b9f4969

Comment 8 Fedora Update System 2021-03-15 22:00:17 UTC
FEDORA-2021-8d2670e9a1 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8d2670e9a1

Comment 9 Fedora Update System 2021-03-15 22:07:45 UTC
FEDORA-2021-ebe5c3b078 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ebe5c3b078

Comment 10 Fedora Update System 2021-03-15 22:13:12 UTC
FEDORA-EPEL-2021-af5db3a93c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-af5db3a93c

Comment 11 Fedora Update System 2021-03-16 14:43:42 UTC
FEDORA-2021-470b9f4969 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-470b9f4969 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-470b9f4969

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-17 00:42:59 UTC
FEDORA-EPEL-2021-af5db3a93c has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-af5db3a93c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-17 01:40:54 UTC
FEDORA-2021-8d2670e9a1 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-8d2670e9a1 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8d2670e9a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-03-17 01:49:24 UTC
FEDORA-2021-ebe5c3b078 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-ebe5c3b078 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ebe5c3b078

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-03-18 02:48:50 UTC
FEDORA-EPEL-2021-af5db3a93c has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-03-18 04:12:20 UTC
FEDORA-2021-ebe5c3b078 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-03-18 04:45:31 UTC
FEDORA-2021-8d2670e9a1 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-03-19 20:17:07 UTC
FEDORA-2021-470b9f4969 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.